Skip to main content

Retrieve a collection of card transactions

GET 

/api/card_transaction_details

This API endpoint empowers you to access a list of recent card transactions associated with an account, providing valuable insights into transaction details.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    executionDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    createdAt[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    updatedAt[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    currency string
    cardHolder string
    card string
    amount[lt] string
    amount[lte] string
    amount[gt] string
    amount[gte] string
    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    currency string
    amount string
    originalCurrency string
    originalAmount string
    type string

    Possible values: [authorization, transaction, reversal]

    executionDate string
    settlementDate stringnull
    status string

    Possible values: [executed, pending]

    card object
    id integer
    name string
    pan4 string
    merchant object
    id integer
    name string
    country string
    mccCode string
    documents object
    id integer
    name string
    mimeType string
    expenseCategory object
    id integer
    name string
    accountingAccountNumber string
    externalId string
    expenseCostCenter object
    id integer
    name string
    number string
    comment stringnull
    vat string[]deprecated
    vats object[]
  • Array [
  • expenseVat integernull
    rate string
    amount string
    grossAmount string
    externalId stringnull
  • ]
  • createdAt string
    updatedAt string
    magicLinkUrl stringnull
    error string[]
  • ]
Loading...